:root {
    --dark-color: darkred;
    --plain-color: red;
    --styled-font: 'Zapfino.local';
    --classic-font: 'Arial.local';
    --bold-font: 'Arial.bold.local';
}
@media print {
    html, body {
       display: none;
    }
}
@font-face {
    font-family: 'Zapfino.local';
    src: url('../fonts/Zapfino.woff') format('woff');
}
@font-face {
    font-family: 'Arial.local';
    src: url('../fonts/Arial.ttf') format('truetype');
}
@font-face {
    font-family: 'Arial.bold.local';
    src: url('../fonts/Arial.bold.ttf') format('truetype');
}
* {
    box-sizing: border-box;
    outline: none;
}
html, body {
    margin: 0;
    width: 100%;
    font-family: var(--classic-font);
    background-color: white;
}
a, button:not([disabled]), input[type=submit] {
    cursor: pointer;
}
b {
    font-family: var(--bold-font);
}
.background-img {
    background-image: url('../images/background.jpeg');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    background-color: rgba(255, 255, 255, 0.7);
    background-blend-mode: lighten;
}

/*------------------------ HEADER ------------------------*/

header .header-title {
    height: 100px;
    background-color: white;
}
header .header-title div, header .header-title .logo img {
    height: 100%;
}
header .header-title .logo img {
    padding: 10px 0 10px 10px;
}
header .header-title h1 {
    font-family: var(--styled-font);
    margin: 0;
    padding-top: 15px;
    font-size: 40px;
    white-space: nowrap;
}
header #lang-menu {
    margin: 0 15px;
    padding: 3px;
    border-radius: 5px;
    background-color: var(--dark-color);
}
header #lang-menu button {
    border: none;
    border-radius: 5px;
    background: none;
    text-shadow: 0 0 2px white;
    font-size: 20px;
}
header #lang-menu button a {
    text-decoration: none;
}
header #lang-menu button:hover, header #lang-menu button.active {
    background-color: var(--plain-color);
}
header .lang-burger-menu {
    display: none;
}
header .lang-burger-menu button {
    border: none;
    border-radius: 5px;
    background-color: var(--dark-color);
    font-size: 52px;
    width: 60px;
    color: white;
}
header nav {
    background-color: var(--dark-color);
    width: 100%;
    padding: 5px;
}
header nav a {
    display: inline-block;
    padding: 5px 18px 0 10px;
    color: white;
    font-family: var(--styled-font);
    border-radius: 5px;
    text-decoration: inherit;
    white-space: nowrap;
}
header nav a:hover, header nav a.active {
    background-color: var(--plain-color);
}

/*------------------------ HOME ------------------------*/

.highlight .highlight-title {
    font-family: var(--styled-font);
    font-size: 30px;
    margin-top: 0;
    margin-bottom: -40px;
    padding-top: 20px;
    text-align: center;
}
.highlight article {
    width: 50%;
    padding: 50px;
}
.highlight article h1 {
    line-height: 2;
}
.highlight article img {
    width: 100%;
    border-radius: 5px;
}

/*--- GALERY ---*/

.galery .scroll-container {
    width: 100%;
    overflow: auto;
    white-space: nowrap;
    margin-top: 50px;
}
.galery .scroll-container::-webkit-scrollbar { 
    display: none;
}
.galery .scroll-container article {
    margin: 30px;
    display: inline-block;
}
.galery .scroll-container article img {
    border-radius: 5px;
}
.galery .paint-description {
    background-color: rgba(0, 0, 0, 0.75);
    padding: 10px;
}
.galery .paint.round .paint-description {
    padding: 0;
}
.galery .paint-description p {
    font-size: 20px;
    padding-left: 15px;
    padding-top: 15px;
    width: 100%;
    margin: 0;
}
.galery .paint-title {
    line-height: inherit !important;
    white-space: normal;
}
.galery .round .paint-title {
    padding-top: 100px;
}
.galery .paint-description p a {
    margin-left: 5px;
    background-color: white;
    text-decoration: none;
    padding: 2px;
    border: 2px solid white;
    border-radius: 10px;
}
.galery .paint-description p a:hover {
    background-color: black;
}
.galery-controls {
    margin-top: 10px;
    margin-bottom: 50px;
}
.galery-controls button {
    width: 70px;
    height: 70px;
    border: none;
    border-radius: 10px;
    font-size: 20px;
}
.galery-controls button.pause {
    font-family: var(--bold-font);
    padding-top: -3px;
}
.galery-controls button:not([disabled]):hover {
    background-color: grey;
}

/*--- GRID ---*/

.grid .title {
    background: linear-gradient(
        to right,
        var(--dark-color),
        var(--dark-color),
        white,
        white,
        var(--dark-color),
        var(--dark-color)
    );
}
.grid .title h1 {
    font-family: var(--styled-font);
    margin-top: 10px;
    margin-bottom: -10px;
    text-decoration: underline;
}
.grid .container {
    width: 100%;
    display: flex;
    padding: 50px 20px;
    justify-content: space-evenly;
    gap: 40px;
    flex-wrap: wrap;
    text-align: center;
}
.grid .container img {
    object-fit: contain;
    border-radius: 5px;
    max-height: 300px;
}
.grid .container .grid-phone {
    display: none;
}
.grid .paint {
    cursor: pointer;
}
.grid .paint-description textarea, .grid .paint-description p {
    padding: 15px;
    margin: 0;
    line-height: 1.4;
    height: 99.5%;
    background-color: rgba(0, 0, 0, 0.75);
    border-radius: 5px;
}
.grid .paint-description textarea {
    width: 100%;
    color: white;
    resize: none;
}
.grid .paint-description p {
    display: none;
}

/*--- GRID & GALERY ---*/

.home .paint {
    position: relative;
}
.home .paint-description {
    position: absolute;
    top: 0;
    margin: 0;
    width: 100%;
    height: 100%;
    color: white;
    display: none;
}
.home .paint:hover .paint-description {
    display: block;
}
.home .paint-description .left, .home .paint-description .right {
    width: 50%;
    height: 100%;
    display: none;
    background-color: white;
}
.home .round .paint-description {
    text-align: center;
}
.home .round p {
    padding-top: 15px;
}
.home .round .left {
    margin-left: -1px;
    float: left;
    --polygon-left: polygon(
        0 0,
        100% 0,
        /* -22 +1.5 */
        78% 1.5%,
        /* -19 +3 */
        59% 4.5%,
        /* -16 +4.5 */
        43% 9%,
        /* -14 +5.5 */
        29% 14.5%,
        /* -11 +7 */
        18% 21.5%,
        /* -9 +8 */
        9% 29.5%,
        /* -6 +9.5 */
        3% 39%,
        /* -3 +11 */
        0 50%,
        /* +3 +11 */
        3% 61%,
        /* +6 +9.5 */
        9% 70.5%,
        /* +9 +8 */
        18% 78.5%,
        /* +11 +7 */
        29% 85.5%,
        /* +14 +5.5 */
        43% 91%,
        /* +16 +4.5 */
        59% 95.5%,
        /* +19 +3 */
        78% 98.5%,
        /* +22 +1.5 */
        100% 100%,
        0 100%
    );
    clip-path: var(--polygon-left);
    shape-outside: var(--polygon-left);
}
.home .round .right {
    margin-right: -1px;
    float: right;
    --polygon-right: polygon(
        100% 0,
        0 0,
        22% 1.5%,
        41% 4.5%,
        57% 9%,
        71% 14.5%,
        82% 21.5%,
        91% 29.5%,
        97% 39%,
        100% 50%,
        97% 61%,
        91% 70.5%,
        82% 78.5%,
        71% 85.5%,
        57% 91%,
        41% 95.5%,
        22% 98.5%,
        0 100%,
        100% 100%
    );
    clip-path: var(--polygon-right);
    shape-outside: var(--polygon-right);
}
.home .round .left, .home .round .right, .home .round p {
    display: block;
}
.home .round textarea {
    display: none;
}

/*------------------------ ACTU ------------------------*/

.news {
    margin: 0 50px 50px 50px;
}
.news .round {
    background-color: var(--dark-color);
    border-radius: 50%;
    width: 30px;
    height: 30px;
    margin-left: 12px;
}
.news .line {
    background-color: var(--dark-color);
    width: 4px;
    height: 60px;
    margin-left: 25px;
}
.news .event h3 {
    margin: 0;
    padding-left: 10px;
}
.news article {
    background-color: rgb(240, 240, 240);
    border: 2px solid var(--dark-color);
    border-radius: 10px;
    width: 100%;
    padding: 15px 30px;
    line-height: 1.8;
}
.news article.middle {
    width: 80%;
}
.news article.small {
    width: 60%;
}
.news article h1.flex-grow {
    font-family: var(--styled-font);
    text-align: center;
}
.news article img {
    max-width: 300px;
    max-height: 300px;
    margin-bottom: 10px;
    border-radius: 5px;
}
.news article.left img {
    margin-right: 50px;
    float: left;
}
.news article.right img {
    margin-left: 50px;
    float: right;
}

/*------------------------ INFO ------------------------*/

.info {
    margin: 50px;
    line-height: 1.8;
}
.info h1 {
    text-align: center;
    text-shadow: 0 0 30px;
    font-family: var(--styled-font);
    margin-top: 50px;
}
.info .us {
    margin-right: 50px;
    margin-bottom: 10px;
    float: left;
    max-width: 290px;
    border-radius: 5px;
}
.info .logo {
    text-align: right;
}
.info .logo img {
    max-height: 200px;
    border-radius: 5px;
}
.info .cities a {
    width: 30%;
    color: inherit;
    text-decoration: inherit;
    border: 3px solid white;
    border-radius: 5px;
}
.info .cities a:hover {
    font-family: var(--bold-font);
    border: 3px solid var(--dark-color);
    color: var(--dark-color);
}
.info .cities figure img {
    width: 100%;
    border-radius: 5px;
}
.info .cities figure figcaption {
    text-align: center;
}

/*------------------------ CONTACT ------------------------*/

.contact {
    margin: 50px;
    line-height: 1.8;
}
.contact h2 {
    text-align: center;
}
.contact a {
    color: inherit;
    text-decoration: inherit;
    border: 3px solid white;
    border-radius: 5px;
}
.contact nav a {
    padding: 10px;
}
.contact nav a h1 {
    margin: 0 15px;
}
.contact a:hover {
    border: 3px solid var(--dark-color);
    color: var(--dark-color);
}
.contact .form-container {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 30px;
  margin: 100px 150px;
}
.contact .form-container input[type=email], .contact .form-container input[type=text], .contact .form-container textarea, .contact.comments select {
    padding: 12px;
    border: 1px solid lightgrey;
    border-radius: 5px;
    box-sizing: border-box;
    font-family: var(--classic-font);
}
.contact .form-container input[type=email], .contact .form-container input[type=text], .contact .form-container textarea {
    width: 100%;
    margin-top: 6px;
    margin-bottom: 16px;
}
.contact .form-container textarea {
    height: 200px;
    resize: vertical;
}
.contact .form-container input[type=submit] {
    background-color: var(--dark-color);
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 5px;
}
.contact .form-submit {
    text-align: center;
}
.contact .form-submit input[type=submit]:hover {
    background-color: var(--plain-color);
}
.contact .comment {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 10px 30px;
}

/*------------------------ FOOTER ------------------------*/

footer {
    padding: 50px;
    line-height: 2;
    background-color: rgb(200, 200, 200);
}
footer h3 {
    margin-top: 0;
    text-align: center;
    font-weight: inherit;
}
footer a {
    color: inherit;
    text-decoration: inherit;
}
footer a:hover {
    text-decoration: underline;
}

/*------------------------ FLEX ------------------------*/

.flex {
    display: flex;
}
.flex-column {
    display: flex;
    flex-direction: column;
}
.flex-grow {
    flex-grow: 1;
}
.justify-center {
    justify-content: center;
}
.justify-end {
    justify-content: flex-end;
}
.justify-spaced {
    justify-content: space-around;
}
.align-start {
    align-items: flex-start;
}
.align-center {
    align-items: center;
}
.align-end {
    align-items: flex-end;
}
.gap-3 {
    gap: 3px;
}
.gap-10 {
    gap: 10px;
}
.gap-30 {
    gap: 30px;
}